/* 0irc
 * Copyright (C) 2000-2003 Torsten Stelling <murphy@dev0.de>
 *
 * AuroreIRC
 * Copyright (C) 1999 Omar Kilani <omar@aurore.net>
 *
 * OpenIRC
 * Copyright (C) 1998 Damian Hodgkiss <mian@thrity4.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 */

#ifndef _COMMANDS_H
#define _COMMANDS_H

extern void ParseLocalCommand(char *command, char *args);

extern void CmdAme(char *args);
extern void CmdChannels(char *args);
extern void CmdCtcp(char *args);
extern void CmdDcc(char *args);
extern void CmdEcho(char *args);
extern void CmdJoin(char *args);
extern void CmdHelp(char *args);
extern void CmdKick(char *args);
extern void CmdLeave(char *args);
extern void CmdMe(char *args);
extern void CmdMode(char *args);
extern void CmdMsg(char *args);
extern void CmdNick(char *args);
//extern void NsLookup(char *args);
#ifndef DLL
extern void CmdQuit(char *args);
#endif
extern void CmdPing(char *args);
extern void CmdSayit(char *args);
extern void CmdServer(char *args);
extern void CmdSv(char *args);
extern void CmdTopic(char *args);
extern void CmdWhois(char *args);
extern void CmdWindow(char *args);
extern void CmdQuote(char *args);
extern void CmdAway(char *args);
extern void CmdNotice(char *args);
extern void CmdStyle(char *args);
extern void CmdClear(char *args);
extern void CmdAbout(char *args);
extern void CmdConnect(char *args);
extern void CmdDisconnect(char *args);
#ifndef DLL
extern void CmdConfig(char *args);
#endif
extern void CmdFinger(char *args);
extern void CmdLog(char *args);
#ifndef DLL
extern void CmdTray(char *args);
#endif
extern void CmdOp(char *args);
extern void CmdDeOp(char *args);
extern void CmdVoice(char *args);
extern void CmdDeVoice(char *args);
extern void CmdHop(char *args);
extern void CmdRaw(char *args);
extern void CmdIgnore(char *args);
extern void CmdInvite(char *args);

#endif